Subject: bug#14407: Can't compile emacs trunk on Solaris 11

From: Huajian Luo <[email-masked]>
Date: Thu, 16 May 2013 16:22:47 +0800

Thank you very much for looking into this.

>Thanks for reporting this.
>It works for me on Solaris 11.1 x86-64.
>Possibly the problem is because you're on a 32-bit host.

Maybe, but it works great some time ago, cause I always track the trunk
source tree by git. git://git.savannah.gnu.org/emacs.git

> Which trunk bzr version are you using?
I'm tracking the daily src by git. the most git log shows
* dcd6df2 - (HEAD, origin/trunk, origin/master, origin/HEAD, master) * simple.el (prog-indent-sexp)
  Indent enclosing defun. (4 hours ago) <Leo Liu>

> Which is the most-recent trunk bzr version that worked for you?
> You can bisect to find that.

A long time ago, but the release can work with --without-all

>What's the point of the "LIBS="-L/opt/csw/lib" before ./configure?
>What happens if you omit that?

It fails with same error.

> What happens if you run "./configure --enable-checking"?

Same error.
,----
| Compiling /freecode/emacs/emacs/lisp/emacs-lisp/macroexp.el
| Segmentation Fault - core dumped
| gmake[2]: *** [/freecode/emacs/emacs/lisp/emacs-lisp/macroexp.elc] Error
| 139
| gmake[2]: Leaving directory `/freecode/emacs/emacs/lisp'
| gmake[1]: *** [bootstrap-emacs] Error 2
| gmake[1]: Leaving directory `/freecode/emacs/emacs/src'
| gmake: *** [src] Error 2
`----

And how can I compile a debugable emacs that I can use mdb/gdb to look
into it?